AOLserver DB proxy daemon libnspd.a library Ns_PdLog() format string

aolserver-dbproxy-format-string (8860) The risk level is classified as HighHigh Risk

Description:

AOLserver is vulnerable to a format string attack in the libnspd.a library, which is used to link external database driver proxy daemons. A remote attacker could exploit this vulnerability using the "Error" or "Notice" parameter with the Ns_PdLog function to execute arbitrary code on the system.


Consequences:

Gain Access

Remedy:

Apply the patch for this vulnerability, as listed in INTEXXIA SECURITY ADVISORY #1052-300102. See References.

References:

  • AOLserver Web site: AOLserver.
  • INTEXXIA SECURITY ADVISORY #1052-300102: AOLServer DB Proxy Daemon Format String Vulnerability. (From Neohapsis archive)
  • BID-4535: AOLServer Developer API Ns_PdLog() Format String Vulnerability
  • CVE-2002-0586: Format string vulnerability in Ns_PdLog function for the external database driver proxy daemon library (libnspd.a) of AOLServer 3.0 through 3.4.2 allows remote attackers to execute arbitrary code via the Error or Notice parameters.
  • OSVDB ID: 11909: AOLServer libnspd.a Library Ns_PdLog Function Format String

Platforms Affected:

  • AOL AOLserver 3.0
  • AOL AOLserver 3.1
  • AOL AOLserver 3.2
  • AOL AOLserver 3.3
  • AOL AOLserver 3.4.2

Reported:

Apr 16, 2002

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page